package org.libresource.so6.ant;

import java.io.File;
import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;
import org.libresource.so6.core.Workspace;
import org.libresource.so6.core.WsConnection;

/**
 * @author smack
 */
public class SynchronizeTask extends Task {
    private File wsBasePath;
    private String connectionNumber = "1";
    private String comment = "";

    public void setConnectionNumber(String string) {
        connectionNumber = string;
    }

    public void setWsBasePath(File file) {
        wsBasePath = file;
    }

    public void setComment(String string) {
        comment = string;
    }

    public void execute() throws BuildException {
        String wscPath = wsBasePath.getPath() + File.separator + Workspace.SO6PREFIX + File.separator + connectionNumber + File.separator
                + WsConnection.SO6_WSC_FILE;
        try {
            WsConnection wsc = new WsConnection(wscPath);
            wsc.update();
            wsc.commit(comment);
        } catch (Exception e) {
            throw new BuildException(e);
        }
    }
}